> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post worlds sparql



## OpenAPI

````yaml https://worlds-api.wazoo.dev/openapi.json post /worlds/{id}/sparql
openapi: 3.0.0
info:
  title: Worlds API
  version: 0.1.0
  description: >-
    Data-plane API for Wazoo Worlds — search, SPARQL, import, export, and World
    lifecycle.
servers:
  - url: https://worlds-api.wazoo.dev
    description: Worlds API
security:
  - bearerWorldsToken: []
paths:
  /worlds/{id}/sparql:
    post:
      tags:
        - SPARQL
      operationId: sparqlWorld
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SparqlRequest'
      responses:
        '200':
          description: SPARQL query result
          content:
            application/json:
              schema:
                nullable: true
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerWorldsToken: []
components:
  schemas:
    SparqlRequest:
      type: object
      properties:
        namespace:
          type: string
        query:
          type: string
          minLength: 1
      required:
        - query
  securitySchemes:
    bearerWorldsToken:
      type: http
      scheme: bearer
      bearerFormat: wzw
      description: Worlds API data-plane token.

````